> For the complete documentation index, see [llms.txt](https://docs.ipaper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ipaper.io/flipbook-javascript-api/commands-and-events/table-of-contents.md).

# Table of Contents

## Commands

### `open`

Opens the table of contents.

```javascript
instance.tableOfContents.open();
```

### `close`

Closes the table of contents.

```javascript
instance.tableOfContents.close();
```

### `getState`

Gets the current table of contents state.

```javascript
// You can either await the result of the command
const result = await instance.tableOfContents.getState();

// OR pass a callback
instance.tableOfContents.getState((result) => {
    // YOUR CODE HERE
});
```

The command will return an object with the following properties:

| Property | Type      | Description                             |
| -------- | --------- | --------------------------------------- |
| `isOpen` | `boolean` | Is the table of contents currently open |

## Events

### `onOpen`

This subscription will trigger when the table of contents is opened.

```
instance.tableOfContents.onOpen(() => {
    // YOUR CODE HERE
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ipaper.io/flipbook-javascript-api/commands-and-events/table-of-contents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
